## crossroads 2.81

=== Makefile ===
--- 
+++ 
@@ -1,28 +1,18 @@
 # Top-level Makefile for XR
 # -------------------------
 
-VER	   = 2.65
-PREFIX	   = $(DESTDIR)/usr
-BINDIR	   = $(PREFIX)/sbin
-MANDIR	   = $(PREFIX)/share/man
-TAR	   = /tmp/crossroads-$(VER).tar.gz
-AUTHOR     = Karel Kubat <karel@kubat.nl>
-MAINTAINER = Karel Kubat <karel@kubat.nl>
-DISTSITE   = http://crossroads.e-tunity.com
-BASE	   = $(shell pwd)
+VER	   ?= 2.81
+PREFIX	   ?= $(DESTDIR)/usr
+BINDIR	   ?= $(PREFIX)/sbin
+MANDIR	   ?= $(PREFIX)/share/man
+TAR	   ?= /tmp/crossroads-$(VER).tar.gz
+AUTHOR     ?= Karel Kubat <karel@kubat.nl>
+MAINTAINER ?= Karel Kubat <karel@kubat.nl>
+DISTSITE   ?= http://crossroads.e-tunity.com
+BASE	   ?= $(shell pwd)
 
 foo:
-	@echo
-	@echo 'Choose:'
-	@echo ' make local     - local program construction'
-	@echo ' make localprof - local, with profiling info'
-	@echo ' make localmem  - local, with memory debugging'
-	@echo ' make install   - installation to $(BINDIR)'
-	@echo ' make uninstall - removes installed programs'
-	@echo ' make clean     - removal after local/install'
-	@echo ' make tar       - pack sources in an archive'
-	@echo ' make commit    - commit to repository (maintainer only)'
-	@echo
+	@cat xr/etc/make.help
 
 local:
 	mkdir -p xr/build
@@ -101,5 +91,9 @@
 commit: local clean
 	test `svn status | grep '^\?' | wc -l` -eq 0 || \
 		(echo 'SVN not fully up to date: run "svn status"' && exit 1)
+	test -f doc/xr.pdf || \
+		(echo 'PDF version of the docs not present!' && exit 1)
+	test doc/xr.pdf -nt doc/xr.odt || \
+		(echo 'PDF version of the docs is stale!!' && exit 1)
 	perl -c xrctl/xrctl
 	svn -m $(VER) commit
