=== xr/Makefile ===
--- 
+++ 
@@ -23,8 +23,8 @@
 	$(MAKE) $(BIN)
 
 install: $(BINDIR)/xr
-$(BINDIR)/xr: $(BUILDDIR)/xr
-	cp $(BUILDDIR)/xr $(TMPXR)
+$(BINDIR)/xr: $(BIN)
+	cp $(BIN) $(TMPXR)
 	strip $(TMPXR)
 	install $(TMPXR) $(BINDIR)/xr
 	rm -f $(TMPXR)
@@ -35,10 +35,11 @@
 	   echo "Making: $$f"; \
 	   BASE=$(BASE) CC=$(CONF_CC) BUILDDIR=$(BUILDDIR) VER='$(VER)' \
 	     AUTHOR='$(AUTHOR)' MAINTAINER='$(MAINTAINER)' \
-	     DISTSITE='$(DISTSITE)' MEMDEBUG=$(MEMDEBUG)\
+	     DISTSITE='$(DISTSITE)' MEMDEBUG=$(MEMDEBUG) BINDIR='$(BINDIR)' \
 	     CONF_CC='$(CONF_CC)' CONF_LIB='$(CONF_LIB)' \
 	     CONF_GETOPT=$(CONF_GETOPT) CONF_GETOPT_LONG=$(CONF_GETOPT_LONG) \
-	     CONF_INET_ATON=$(CONF_INET_ATON) CONF_OPTFLAGS='$(CONF_OPTFLAGS)' \
+	     CONF_INET_ATON=$(CONF_INET_ATON) \
+	     CONF_OPTFLAGS='$(CONF_OPTFLAGS)' \
 	     CONF_STRNSTR=$(CONF_STRNSTR) \
 	     $(MAKE) -C $$f -f $(BASE)/xr/etc/Makefile.class \
 	     || exit 1; \
@@ -52,7 +53,7 @@
 	etc/e-txt2c XSLT  <etc/status.xslt >$(BUILDDIR)/status.xslt.h
 	touch webinterface/answerxslt.cc
 
-$(BIN): $(BUILDDIR)/libxr.a
+$(BIN): $(LIB)
 	$(CONF_CC) $(PROF) $(CONF_OPTFLAGS) -g -o $(BIN) \
 	  -L$(BUILDDIR) -lxr $(CONF_LIB)
