=== debian/changelog ===
crossroads (2.81-2) unstable; urgency=medium

  * QA upload.
  * Bumped DH level to 10.
  * Run wrap-and-sort.
  * debian/control:
      - Added lsb-base to Depends field.
      - Changed Priority from extra to optional.
      - Reorganized the long description.
  * debian/copyright:
      - Added an extra email address for the main upstream.
      - Added the standard text for GPL-2+ and GPL-3.
      - Updated all information about the packaging.
      - Updated some information about the upstream rights.
  * debian/docs: added the debian/upstream/changelog-1.x file. See
    more details below.
  * debian/upstream/changelog-1.x: added to provide a upstream's changelog for
    1.x versions. It is useful to collect data to make the debian/copyright
    file and to have a history.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 29 Dec 2016 23:41:48 -0200

crossroads (2.81-1) unstable; urgency=low

  [ Reiner Herrmann ]
  * QA upload.
  * New upstream release.
    - Fix building with g++-6 (Closes: #811914).
  * Add watch file.
  * Convert to dh-style build.
  * Bump debhelper compatibility to version 9.
  * Use source format 3.0 (quilt).
  * Bump Standards-Version to 3.9.8.
  * Add Vcs-* fields.
  * Register documentation at doc-base.
  * Convert debian/copyright to DEP5.
  * debian/patches:
    - Refresh and add DEP3 headers.
    - Fix spelling errors found by lintian.
    - Support reproducible building.
    - Honour build flags for hardened build.
    - Don't strip binary to enable dbgsym packages.
    - Build verbosely to see compiler calls.

  [ Micah Anderson ]
  * Add init script and defaults file (Closes: #701210).

  [ Tone Kravanja ]
  * Make xrctl compatible with newer Perl version (LP: #1580924).

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 27 May 2016 16:31:04 +0200

crossroads (2.65-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer field to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Add missing recommended targets to debian/rules: build-arch and
    build-indep.

 -- Emanuele Rocca <ema@debian.org>  Sun, 13 Dec 2015 14:38:31 +0100

crossroads (2.65-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: start.cc:22: undefined reference to `pthread_create'":
    add patch from Ubuntu / Andreas Moog:
    - debian/patches/ftbfs_link_pthread.patch: (LP: #749221)
      add missing link to pthread
    (Closes: #629658)

 -- gregor herrmann <gregoa@debian.org>  Mon, 31 Oct 2011 20:32:37 +0100

crossroads (2.65-1) unstable; urgency=low

  * Initial release (Closes: #498480)

 -- Stefan Ritter <xeno@thehappy.de>  Mon, 05 Jul 2010 16:27:00 +0200
