=== debian/control ===
Source: crossroads
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://crossroads.e-tunity.com/
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/crossroads.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/crossroads.git

Package: crossroads
Architecture: any
Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
Description: open source load balance and fail over utility for TCP based services
 Crossroads is a daemon running in user space, and features extensive
 configurability, polling of back ends using 'wakeup calls', detailed
 status reporting, 'hooks' for special actions when backend calls fail,
 and much more.
 .
 Crossroads is service-independent: it is usable for HTTP(S), SSH, SMTP,
 DNS, etc. In the case of HTTP balancing, Crossroads can provide 'session
 stickiness' for back end processes that need sessions, but aren't
 session-aware of other back ends.
