=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- local

override_dh_auto_install:
	dh_auto_install -- BINDIR=$(CURDIR)/debian/crossroads/usr/bin
