=== debian/watch ===
version=3
https://crossroads.e-tunity.com/downloads/versions/crossroads-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
